﻿-- Set some local values that we will need for later
local Buylist, Note, SkillLevel, CheckLevel = "", "", 0, 0

-- Start creating the guide
TourGuide:RegisterGuide("Alchemy (1-525)", nil, "Alliance", function()
--------------------------------------
-- Get current Alchemy level --
--------------------------------------
CheckLevel = TGTradeS:GetSkillLVLByName("Alchemy")

---------------------
-- Alchemy 1-75    --
---------------------
-- Calculate Needed Hearbs and Vials based on skill level
if CheckLevel < 55 then      Buylist = "2447 60, 765 60, 2450 95, 2453 35, 3371 95"; SkillLevel = "55"
elseif CheckLevel < 110 then Buylist = "118 60, 2450 95, 2453 35, 3371 35";          SkillLevel = "110"
else                         Buylist = "2450 35, 2453 35, 3371 35";                  SkillLevel = "140" end
local GuideInfo = [[
R Stormwind City |Z|Stormwind City|     |N|Go to Stormwind City. (50, 50)|
h Trade District |Z|Stormwind City| |T| |N|Set Hearthstone to Trade District. (60.39, 75.29)|

B Train Apprentice Alchemist   |TRAINSKILL|Alchemy 75| |Z|Stormwind City| |T| |N|Train from Lilyssia Nightbreeze. (55.66, 86.09)|

N Get the items listed above   |SKILL|Alchemy ]] .. SkillLevel .. [[|      |LOOT|]] .. Buylist .. [[| |Z|Stormwind City| |T| |N|Crystal Vial can be bought from Maria Lumere. (55.89, 85.64)|

N Create 60 Minor Healing Potion      |SKILL|Alchemy 61|      |LOOT|118 60|
B Learn Recipe: Lesser Healing Potion |SKILL|Alchemy 110|     |LEARNITEM|Lesser Healing Potion| |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 75                 |LVLTOSKILL|Alchemy 75| |N|Create Lesser Healing Potion.|
]]

---------------------
-- Alchemy 75-140  --
---------------------
GuideInfo = GuideInfo .. [[
B Train Journeyman Alchemist |TRAINSKILL|Alchemy 150| |Z|Stormwind City| |T| |N|Train from Lilyssia Nightbreeze. (55.66, 86.09)|

N Level Alchemy to 110         |LVLTOSKILL|Alchemy 110| |N|Continue creating Lesser Healing Potion.|
B Learn Recipe: Healing Potion |SKILL|Alchemy 140|      |LEARNITEM|Healing Potion| |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 140         |LVLTOSKILL|Alchemy 140| |N|Create Healing Potion.|
]]

---------------------
-- Alchemy 140-210 --
---------------------
-- Calculate Needed Hearbs and Vials based on skill level
if CheckLevel < 155 then     Buylist = "785 20, 3357 35, 3356 35, 3820 50, 3821 30, 3371 85"; SkillLevel = "155"
elseif CheckLevel < 185 then Buylist = "3357 35, 3356 35, 3820 30, 3821 30, 3371 65";         SkillLevel = "185"
else                         Buylist = "3820 30, 3821 30, 3371 30";                           SkillLevel = "210" end
GuideInfo = GuideInfo .. [[
B Train Expert Alchemist |TRAINSKILL|Alchemy 225| |Z|Stormwind City| |T| |N|Train from Lilyssia Nightbreeze. (55.66, 86.09)|

N Get the items listed above |SKILL|Alchemy ]] .. SkillLevel .. [[|      |LOOT|]] .. Buylist .. [[| |Z|Stormwind City| |T| |N|Crystal Vial can be bought from Maria Lumere. (55.89, 85.64)|

B Learn Recipe: Lesser Mana Potion     |SKILL|Alchemy 155|      |LEARNITEM|Lesser Mana Potion|     |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 155                 |LVLTOSKILL|Alchemy 155| |N|Create Lesser Mana Potion.|
B Learn Recipe: Greater Healing Potion |SKILL|Alchemy 185|      |LEARNITEM|Greater Healing Potion| |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 185                 |LVLTOSKILL|Alchemy 185| |N|Create Greater Healing Potion.|
B Learn Recipe: Elixir of Agility      |SKILL|Alchemy 210|      |LEARNITEM|Elixir of Agility|      |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 210                 |LVLTOSKILL|Alchemy 210| |N|Create Elixir of Agility.|
]]

---------------------
-- Alchemy 210-300 --
---------------------
-- Calculate Needed Hearbs and Vials based on skill level
if CheckLevel < 215 then     Buylist = "3355 5, 3358 15, 8836 15, 3821 25, 8838 65, 8839 30";    SkillLevel = "215"; Note = ""
elseif CheckLevel < 230 then Buylist = "3358 15, 8836 15, 3821 20, 8838 65, 8839 30";            SkillLevel = "230"; Note = ""
elseif CheckLevel < 245 then Buylist = "8836 15, 3821 20, 8838 50, 8839 30";                     SkillLevel = "245"; Note = ""
elseif CheckLevel < 260 then Buylist = "3821 20, 8838 50, 8839 30, 13464 60, 13465 30, 3371 65"; SkillLevel = "260"; Note = "| |Z|Stormwind City| |T| |N|Crystal Vial can be bought from Maria Lumere. (55.89, 85.64)"
elseif CheckLevel < 275 then Buylist = "8838 30, 8839 30, 13464 60, 13465 30, 3371 45";          SkillLevel = "275"; Note = "| |Z|Stormwind City| |T| |N|Crystal Vial can be bought from Maria Lumere. (55.89, 85.64)"
else                         Buylist = "13464 60, 13465 30, 3371 30";                            SkillLevel = "300"; Note = "| |Z|Stormwind City| |T| |N|Crystal Vial can be bought from Maria Lumere. (55.89, 85.64)" end
GuideInfo = GuideInfo .. [[
B Train Artisan Alchemist |TRAINSKILL|Alchemy 300| |Z|Stormwind City| |T| |N|Train from Lilyssia Nightbreeze. (55.66, 86.09)|

N Get the items listed above |SKILL|Alchemy ]] .. SkillLevel .. [[|      |LOOT|]] .. Buylist .. Note ..[[|
]]

-- Calculate extra Needed Hearbs and Vials based on skill level
if CheckLevel < 215 then     Buylist = "13464 60, 13465 30, 3371 100"; SkillLevel = "215"
elseif CheckLevel < 230 then Buylist = "13464 60, 13465 30, 3371 95";  SkillLevel = "230"
elseif CheckLevel < 245 then Buylist = "13464 60, 13465 30, 3371 80";  SkillLevel = "245" end
if CheckLevel < 245 then GuideInfo = GuideInfo .. [[
N Get the items listed above |SKILL|Alchemy ]] .. SkillLevel .. [[|      |LOOT|]] .. Buylist .. [[| |Z|Stormwind City| |T| |N|Crystal Vial can be bought from Maria Lumere. (55.89, 85.64)|
]]
end

GuideInfo = GuideInfo .. [[
B Learn Recipe: Elixir of Greater Defense |SKILL|Alchemy 215|      |LEARNITEM|Elixir of Greater Defense| |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 215                    |LVLTOSKILL|Alchemy 215| |N|Create Elixir of Greater Defense.|
B Learn Recipe: Superior Healing Potion   |SKILL|Alchemy 230|      |LEARNITEM|Superior Healing Potion|   |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 230                    |LVLTOSKILL|Alchemy 230| |N|Create Superior Healing Potion.|
B Learn Recipe: Elixir of Detect Undead   |SKILL|Alchemy 245|      |LEARNITEM|Elixir of Detect Undead|   |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 245                    |LVLTOSKILL|Alchemy 245| |N|Create Elixir of Detect Undead.|
B Learn Recipe: Elixir of Greater Agility |SKILL|Alchemy 260|      |LEARNITEM|Elixir of Greater Agility| |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 260                    |LVLTOSKILL|Alchemy 260| |N|Create Elixir of Greater Agility.|
B Learn Recipe: Superior Mana Potion      |SKILL|Alchemy 275|      |LEARNITEM|Superior Mana Potion|      |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 275                    |LVLTOSKILL|Alchemy 275| |N|Create Superior Mana Potion.|
B Learn Recipe: Major Healing Potion      |SKILL|Alchemy 300|      |LEARNITEM|Major Healing Potion|      |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 300                    |LVLTOSKILL|Alchemy 300| |N|Create Major Healing Potion.|
]]

---------------------
-- Alchemy 300-350 --
---------------------
-- Calculate Needed Hearbs and Vials based on skill level
if CheckLevel < 315 then     Buylist = "13464 15, 22787 30, 22791 20, 22786 20, 22785 50, 3371 50"; SkillLevel = "315"
elseif CheckLevel < 330 then Buylist = "22787 30, 22791 20, 22786 20, 22785 35, 3371 35";           SkillLevel = "330"
elseif CheckLevel < 340 then Buylist = "22791 20, 22786 20, 22785 20, 3371 20";                     SkillLevel = "340"
else                         Buylist = "22786 20, 22785 10, 3371 10";                               SkillLevel = "350" end
GuideInfo = GuideInfo .. [[
B Train Master Alchemist |TRAINSKILL|Alchemy 375| |Z|Stormwind City| |T| |N|Train from Lilyssia Nightbreeze. (55.66, 86.09)|

N Get the items listed above |SKILL|Alchemy ]] .. SkillLevel .. [[|      |LOOT|]] .. Buylist .. [[| |Z|Stormwind City| |T| |N|Crystal Vial can be bought from Maria Lumere. (55.89, 85.64)|

B Learn Recipe: Volatile Healing Potion |SKILL|Alchemy 315|      |LEARNITEM|Volatile Healing Potion| |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 315                  |LVLTOSKILL|Alchemy 315| |N|Create Volatile Healing Potion.|

R Blasted Lands                 |SKILL|Alchemy 350| |Z|Stormwind City| |T| |N|Take the portal in Stormwind City. (48.97, 87.35)|
R The Stair of Destiny          |SKILL|Alchemy 350| |Z|Blasted Lands|      |N|Go through The Dark Portal.(54.98, 54.02)|
R Zangarmarsh                   |SKILL|Alchemy 350| |Z|Zangarmarsh|        |N|Run to Zangarmarsh.(81.3, 64.0)|
B Buy Recipe: Super Mana Potion |SKILL|Alchemy 350| |Z|Zangarmarsh|        |LOOT|22907| |N|Buy from Haalrun.(67.8, 48.0)|
R Terokkar Forest               |SKILL|Alchemy 330| |Z|Terokkar Forest|    |N|Run to Terokkar Forest.(47.9, 26.4)|
B Buy Recipe: Sneaking Potion   |SKILL|Alchemy 330| |Z|Terokkar Forest|    |LOOT|22901| |N|Buy from Leeli Longhaggle.(57.74, 53.37)|
H Trade District                |SKILL|Alchemy 350| |U|6948|               |N|Back to Stormwind City.|

B Learn Recipe: Sneaking Potion |SKILL|Alchemy 330|      |LEARNITEM|Sneaking Potion| |U|22901|
N Level Alchemy to 330          |LVLTOSKILL|Alchemy 330| |N|Create Sneaking Potion.|

B Learn Recipe: Super Healing Potion |SKILL|Alchemy 340|      |LEARNITEM|Super Healing Potion|      |Z|Stormwind City| |T| |N|Learn from Lilyssia Nightbreeze. (55.66, 86.09)|
N Level Alchemy to 340               |LVLTOSKILL|Alchemy 340| |N|Create Super Healing Potion.|

B Learn Recipe: Super Mana Potion |SKILL|Alchemy 350|      |LEARNITEM|Super Mana Potion| |U|22907|
N Level Alchemy to 350            |LVLTOSKILL|Alchemy 350| |N|Create Super Mana Potion.|
]]

---------------------
-- Alchemy 350-450 --
---------------------
GuideInfo = GuideInfo .. [[
B Train Grand Master Alchemist |TRAINSKILL|Alchemy 450| |Z|Stormwind City| |T| |N|Train from Lilyssia Nightbreeze. (55.66, 86.09)|

]]

---------------------
-- Alchemy 450-525 --
---------------------
GuideInfo = GuideInfo .. [[
B Train Illustrious Grand Master Alchemist |TRAINSKILL|Alchemy 525| |Z|Stormwind City| |T| |N|Train from Lilyssia Nightbreeze. (55.66, 86.09)|

N Congratulation!!!!!!!!!!!!!!!! |N|You have reached skill 525 in Alchemy. Thank you for using the this guide|
]]

return GuideInfo
end)